Static Public Member Functions | Classes
com.ugrokit.api.UgiRfMicron Class Reference

## Overview

Support for reading RF Micron sensor tags.

## Static Public Member Functions
static UgiRfidConfiguration | configToReadMagnusSensorValue (UgiRfidConfiguration base, MagnusModels tagModel, RssiLimitTypes rssiLimitType, int limitRssiThreshold)
| Create a new UgiRfidConfiguration to read the sensor value from a RF Micron Magnus tag. More...
static int | getMagnusSensorCode (UgiInventory.DetailedPerReadData perReadData)
| Get the sensor value from a RF Micron tag. More...
static int | getMagnusOnChipRssi (UgiInventory.DetailedPerReadData perReadData)
| Get the on-chip RSSI value from a RF Micron tag. More...
static UgiRfidConfiguration | configToReadMagnusTemperature (UgiRfidConfiguration base)
| Create a new UgiRfidConfiguration to read the temperature from a RF Micron Magnus tag. More...
static double | getMagnusTemperature (UgiTag tag, UgiInventory.DetailedPerReadData perReadData)
| Get the temperature RSSI value from a RF Micron tag. More...

## Classes
enum | MagnusModels
| RF Micron Magnus models. More...
enum | RssiLimitTypes
| RF Micron Magnus on-chip RSSI limit types. More...

## Member Function Documentation

## ◆ configToReadMagnusSensorValue()

static UgiRfidConfiguration com.ugrokit.api.UgiRfMicron.configToReadMagnusSensorValue | ( | UgiRfidConfiguration | base,
|  | MagnusModels | tagModel,
|  | RssiLimitTypes | rssiLimitType,
|  | int | limitRssiThreshold
| ) |  |
| static

Create a new UgiRfidConfiguration to read the sensor value from a RF Micron Magnus tag.

Parameters

  base | UgiRfidConfiguration to base the new configuration on
  tagModel | RF Micron Magnus tag model
  rssiLimitType | Type of RSSI limit
  limitRssiThreshold | Threshold for rssiLimitType

Returns
  new configuration

## ◆ getMagnusSensorCode()

static int com.ugrokit.api.UgiRfMicron.getMagnusSensorCode | ( | UgiInventory.DetailedPerReadData | perReadData | ) |
| static

Get the sensor value from a RF Micron tag.

Parameters

  perReadData | UgiDetailedPerReadData structure passed to inventoryTagFound or inventoryTagSubsequentFinds

Returns
  Sensor code

## ◆ getMagnusOnChipRssi()

static int com.ugrokit.api.UgiRfMicron.getMagnusOnChipRssi | ( | UgiInventory.DetailedPerReadData | perReadData | ) |
| static

Get the on-chip RSSI value from a RF Micron tag.

Parameters

  perReadData | UgiDetailedPerReadData structure passed to inventoryTagFound or inventoryTagSubsequentFinds

Returns
  On-chip RSSI

## ◆ configToReadMagnusTemperature()

static UgiRfidConfiguration com.ugrokit.api.UgiRfMicron.configToReadMagnusTemperature | ( | UgiRfidConfiguration | base | ) |
| static

Create a new UgiRfidConfiguration to read the temperature from a RF Micron Magnus tag.

Parameters

  base | UgiRfidConfiguration to base the new configuration on

Returns
  new configuration

## ◆ getMagnusTemperature()

static double com.ugrokit.api.UgiRfMicron.getMagnusTemperature | ( | UgiTag | tag,
|  | UgiInventory.DetailedPerReadData | perReadData
| ) |  |
| static

Get the temperature RSSI value from a RF Micron tag.

Parameters

  tag | The tag
  perReadData | UgiDetailedPerReadData structure passed to inventoryTagFound or inventoryTagSubsequentFinds

Returns
  Temperature (degrees C), or -999 if invalid